<?php

/**
 * Class IgEntityMediaSource.
 */
class IgEntityMediaSource extends Entity {

  /**
   * Fetches media data.
   *
   * @return array
   *   Data about the media.
   */
  public function fetch() {
    if (empty($this->source_type)) {
      throw new InvalidArgumentException(sprintf('No type set on media source.'));
    }

    $function = 'ig_entity_media_source_fetch_' . $this->source_type;
    if (!function_exists($function)) {
      return [];
    }

    $output = $function($this);

    $this->last_fetched = REQUEST_TIME;
    $this->save();

    return $output;
  }

}
